libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Macros
intl

Internationalisation functions are used to localise Gimp-Print by translating strings into the user's native language. More...

## Macros
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | _(String) (String)
#define | N_(String) (String)

## Detailed Description

Internationalisation functions are used to localise Gimp-Print by translating strings into the user's native language.

The macros defined in this header are convenience wrappers around the gettext functions provided by libintl library (or directly by libc on GNU systems).

## Macro Definition Documentation

#define _ | ( |  | String | ) | (String)

#define bindtextdomain | ( |  | Domain,
|  |  | Directory
| ) |  | (Domain)

#define dcgettext | ( |  | Domain,
|  |  | Message,
|  |  | Type
| ) |  | (Message)

#define dgettext | ( |  | Domain,
|  |  | Message
| ) |  | (Message)

#define gettext | ( |  | String | ) | (String)

#define N_ | ( |  | String | ) | (String)

#define textdomain | ( |  | String | ) | (String)